Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model
Class DefaultTaskManager

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.DefaultTaskManager

All Implemented Interfaces:
  TaskManager

    public class DefaultTaskManager

extends Object
implements TaskManager

The default implementation of TaskManager.

User: matthewhorridge
The University Of Manchester
Medical Informatics Group
Date: Sep 11, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`DefaultTaskManager()`

Method Summary
`TaskProgressDisplay` | `getProgressDisplay()`
`void` | `run(Task task)`
`void` | `setIndeterminate(Task task, boolean b)`
`void` | `setMessage(Task task, String message)`
`void` | `setProgress(Task task, int progress)`
`void` | `setProgressDisplay(TaskProgressDisplay taskProgressDisplay)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultTaskManager

    public DefaultTaskManager()

Method Detail

### setProgressDisplay

    public void setProgressDisplay(TaskProgressDisplay taskProgressDisplay)

  Specified by:
    `setProgressDisplay` in interface `TaskManager`

### getProgressDisplay

    public TaskProgressDisplay getProgressDisplay()

  Specified by:
    `getProgressDisplay` in interface `TaskManager`

### run

    public void run(Task task)
             throws Exception

  Specified by:
    `run` in interface `TaskManager`
  Throws:
    `Exception`

### setProgress

    public void setProgress(Task task,
                            int progress)

  Specified by:
    `setProgress` in interface `TaskManager`

### setIndeterminate

    public void setIndeterminate(Task task,
                                 boolean b)

  Specified by:
    `setIndeterminate` in interface `TaskManager`

### setMessage

    public void setMessage(Task task,
                           String message)

  Specified by:
    `setMessage` in interface `TaskManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.